#
# spec file for package python-vsts-cd-manager
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-vsts-cd-manager
Version:        1.0.2
Release:        150200.7.3.2
Summary:        Python wrapper around some of the VSTS APIs
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/microsoft/vsts-cd-manager
Source:         https://files.pythonhosted.org/packages/source/v/vsts-cd-manager/vsts-cd-manager-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module msrest >= 0.2.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-msrest >= 0.2.0
BuildArch:      noarch

%python_subpackages

%description
Python wrapper around some of the VSTS APIs

%prep
%setup -q -n vsts-cd-manager-%{version}
cp %{SOURCE1} LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Jul 21 2022 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1199282, jsc#PM-3243, jsc#SLE-24629)
* Fri Jul 15 2022 adrian.glaubitz@suse.com
- Remove unnecessary python-mock dependency from Requires
* Thu Apr 14 2022 pgajdos@suse.com
- python-mock is not required for build
* Thu Nov 26 2020 rjschwei@suse.com
- Only build Python3 flavors for distributions 15 and greater
* Mon Mar 23 2020 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Fri Oct 18 2019 adrian.glaubitz@suse.com
- Initial build
  + Version 1.0.2
